Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038597
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-05-22 16:362018-05-30 00:14
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision9d6fc683fca0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038597: Today's movement date for Goods Shipment generated when booking Warehouse Order

DescriptionToday's movement date for Goods Shipment generated when booking Warehouse Order
Steps To ReproduceAs group admin role:
   Create a Sales Order
   Set 'POS Order' document type
   Modify its order date
   Add a product and complete it
   Check the goods shipment movement date is the order date

   Create a Sales Order
   Set 'Warehouse Order' document type
   Modify its order date
   Add a product and complete it
   Check the goods shipment movement date is today
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0015522 closedadrianromero Create shipments from Orders: Movement date is being created with the Sales order date 

-  Notes
(0104723)
AtulOpenbravo (developer)
2018-05-25 20:33

Test Plan

- Login as F&B International Group Admin Role.
- Create a Sales Order
   Set 'POS Order' document type
   Modify its order date as (Today's Date - 2)
   Add a product and complete it
   Check the goods shipment movement date is the order date i.e Today's Date - 2.

- Create a Sales Order
   Set 'Warehouse Order' document type
   Modify its order date as (Today's Date - 1)
   Add a product and complete it
   Check the goods shipment movement date is the order date i.e Today's Date - 1.

- Create a Sales Order
   Set 'Standard Order' document type
   Modify its order date as (Today's Date -3)
   Add a product and complete it
   Using Create Shipment from orders, create a shipment for order created above
   Check the goods shipment movement date is set as Today's date.
(0104786)
hgbot (developer)
2018-05-29 18:41

Repository: erp/devel/pi
Changeset: 9d6fc683fca0380767929eabd6c8f03d80a1160d
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri May 25 23:58:13 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/9d6fc683fca0380767929eabd6c8f03d80a1160d [^]

Fixes Issue 38597: Today's movement date for Goods Shipment
generated when booking Warehouse Order

Unlike POS Order, used order date as movement date in shipment
when created while processing sales order of type warehoue order

---
M src-db/database/model/functions/M_INOUT_CREATE.xml
---
(0104787)
dmiguelez (developer)
2018-05-29 18:42

Code Review + Testing Ok
(0104795)
hudsonbot (developer)
2018-05-30 00:14

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/08f13cf1fa33 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-05-22 16:36 ngarcia New Issue
2018-05-22 16:36 ngarcia Assigned To => Triage Finance
2018-05-22 16:36 ngarcia Modules => Core
2018-05-22 16:36 ngarcia Triggers an Emergency Pack => No
2018-05-22 16:36 ngarcia Relationship added related to 0015522
2018-05-22 16:36 ngarcia Issue Monitored: networkb
2018-05-25 20:33 AtulOpenbravo Status new => scheduled
2018-05-25 20:33 AtulOpenbravo Note Added: 0104723
2018-05-25 20:33 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2018-05-29 18:41 hgbot Checkin
2018-05-29 18:41 hgbot Note Added: 0104786
2018-05-29 18:41 hgbot Status scheduled => resolved
2018-05-29 18:41 hgbot Resolution open => fixed
2018-05-29 18:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9d6fc683fca0380767929eabd6c8f03d80a1160d [^]
2018-05-29 18:42 dmiguelez Review Assigned To => dmiguelez
2018-05-29 18:42 dmiguelez Note Added: 0104787
2018-05-29 18:42 dmiguelez Status resolved => closed
2018-05-29 18:42 dmiguelez Fixed in Version => 3.0PR18Q3
2018-05-30 00:14 hudsonbot Checkin
2018-05-30 00:14 hudsonbot Note Added: 0104795


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker